Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php-xdebug: new aport (http://bugs.alpinelinux.org/issues/4814)

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 6 Nov 2015 17:03:37 +0200

---
 testing/php-xdebug/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/php-xdebug/APKBUILD
diff --git a/testing/php-xdebug/APKBUILD b/testing/php-xdebug/APKBUILD
new file mode 100644
index 0000000..ec2119f
--- /dev/null
+++ b/testing/php-xdebug/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=php-xdebug
+_pkgreal=xdebug
+pkgver=2.3.3
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP extension provides functions for function traces and profiling"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+}
+
+md5sums="60e6fdf41840104a23debe16db15a2af  xdebug-2.3.3.tgz"
+sha256sums="b27bd09b23136d242dbc94f4503c98f012a521d5597002c9d463a63c6b0cdfe3  xdebug-2.3.3.tgz"
+sha512sums="212604e87caa67b3734befa0f57580532b0edd346ed871bbaba72ba8319ba60eb8d66649cb5716df250f28ef1cd2384ccc6f651b90ab4936dbcb45ef6c5f7438  xdebug-2.3.3.tgz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 17:03:37 GMT